Package net.shibboleth.shared.net.impl

# Class StripMediaTypeParametersFunction

java.lang.Object
net.shibboleth.shared.net.impl.StripMediaTypeParametersFunction

All Implemented Interfaces:
  `Function<MediaType,MediaType>`

public class StripMediaTypeParametersFunction extends Object implements Function<MediaType,MediaType>
Simple function to strip the parameters from a `MediaType`.

## Constructor Summary

Constructors
Constructor
Description
`StripMediaTypeParametersFunction()`

## Method Summary

Modifier and Type
Method
Description
`MediaType`
`apply(MediaType input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### StripMediaTypeParametersFunction

public StripMediaTypeParametersFunction()

## Method Details

### apply

@Nullable public MediaType apply(@Nullable MediaType input)

Specified by:
  `apply` in interface `Function<MediaType,MediaType>`